Bug 143592 - array subscript out of range and local variable used before set
array subscript out of range and local variable used before set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: inn (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-22 12:23 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-23 04:43:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-12-22 12:23:21 EST
Description of problem:

I just tried to compile package inn-2.4.1-1 from 
Redhat Fedora development tree.

The compiler said

1.

date.c(595): warning #175: subscript out of range

The source code is

    tm.tm_min = values[7];

But

   int values[7];

so values[ 7] doesn't exist. Suggest code re-work.

2.

imap_connection.c(2530): remark #592: variable "mechusing" is used
before its value is set

The source code is

    d_printf(1,"%s:%d:IMAP Trying to authenticate to imap with %s
mechanism\n",
             hostPeerName (cxn->myHost), cxn->ident,
             mechusing);

Suggest code re-work. Maybe the code needs to go in #if HAVE_SASL
conditional statement ?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.